package lc.mecha.file;

public abstract class BaseFile implements FilePointer {
    private final String filename;
    private final String filetype;

    public BaseFile(String filename, String filetype) {
        this.filename = filename;
        this.filetype = filetype;
    }

    @Override
    public String getFilename() {
        return filename;
    }

    @Override
    public String getFileType() {
        return filetype;
    }
}
